<?php

// $Id: sites.admin.inc,v 1.1 2010/02/17 21:28:29 brynbellomy Exp $

/**
 * Admin landing page registered in hook_menu()
 */
function sites_list_sites() {
  $output = '<ul>';
  
  $sites = _sites_get_sites();
  foreach($sites as $id => $site) {
      $output .= "<li><a href=\"/admin/build/sites/edit/$id\">$site->title</a></li>";
  }
  
  $output .= '</ul>';
  $output .= '<a href="/admin/build/sites/add">Add a new site</a>';
  
  return $output;  
}

/**
 * Add/edit sites form
 */
function sites_site_form(&$form_state, $site_id = NULL) {
  $site = NULL;
  if(!$site_id) {
      $site = new site();
  }
  else {
      $site = _sites_get_site($site_id);
  }
  
  $form = array();
  
  $form['sitename'] = array(
    '#title' => 'Site name',
    '#type' => 'textfield',
    '#default_value' => $site->title,
  );
  
  $form['front_page'] = array(
    '#title' => 'Front page',
    '#description' => 'Leave blank to use sitewide frontpage',
    '#type' => 'textfield',
    '#default_value' => $site->front_page,
  );
  
  // Add context prefix form
  $form['purl'] = purl_form('sites', $site_id, $site->purl_prefix);
  
  $form['site_id'] = array(
    '#type' => 'hidden',
    '#value' => $site_id,
  );
  
  $form['submit'] = array(
    '#value' => 'Submit',
    '#type' => 'submit',
  );
  
  return $form;
}

/**
 * Add/edit site submit handler
 */
function sites_site_form_submit($form, &$form_state) {
  if($form_state['values']['site_id'] == 0) {
    $site = new site();
  }
  else {
    $site = _sites_get_site($form_state['values']['site_id']);
  }
  
  $site->title = $form_state['values']['sitename'];
  $site->front_page = $form_state['values']['front_page'];
  
  if (isset($form_state['values']['purl']['value'])) {
    $site->purl_prefix = $form_state['values']['purl']['value'];
  }
  
  $site->save();
}


