<?php

// $Id: sites.core.inc,v 1.1 2010/02/17 21:28:29 brynbellomy Exp $

/**
 * Get all defined sites.
 *
 * @return
 *   Associative array of "sid" => {id, title, purl_prefix, front_page}.
 */
function _sites_get_sites() {
  $sites = array();
  
  $q = "SELECT * FROM {sites}";
  $res = db_query($q);
  
  while($row = db_fetch_object($res)) {
    $sites[$row->id] = $row;
  }
  
  return $sites;
}

/**
 * Get a single site.
 *
 * @param $sid
 *   Unique site id.
 *
 * @return
 *   Site object.
 */
function _sites_get_site($sid) {
  $q = "SELECT * FROM {sites} s WHERE s.id = %d LIMIT 1";
  $res = db_query($q, $sid);
  $obj = db_fetch_object($res);
  
  return new site($obj->title, $obj->purl_prefix, $obj->front_page, $obj->id);
}