<?php

// $Id: sites.purl.inc,v 1.1 2010/02/17 21:28:29 brynbellomy Exp $


/**
 * Implementation of hook_purl_provider().
 */
function sites_purl_provider() {
  $items = array();
  $items['sites'] = array(
    'name' => 'Sites module',
    'description' => t('Sets a context based on PURL modifier.'),
    'callback' => 'sites_init_context',
    'callback arguments' => NULL,
    'example' => 'somesite',
  );
  return $items;
}


/**
 * Invoked by PURL
 */
function sites_init_context($sid) {
  if ($plugin = context_get_plugin('condition', 'site')) {
    $plugin->execute($sid);
  }

  // Handle per-site front page overrides
  $site = _sites_get_site($sid);
  if(!empty($site->front_page)) {
    if($_GET['q'] == variable_get('site_frontpage','node')) {
      $_GET['q'] = $site->front_page; // This will require module weights to be set appropriately
      // Alternate method: drupal_goto($site->front_page);
    }
  }
}




